html, body {
    margin: 0;
    font-size: 16px;
    height: 100%;
    user-select: none;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.flex-container {
    display:flex;
    height: 100%;
    flex-direction: column;
}
header {
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: center;
    width: 100%;
    height: 5%;
}
header div {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}
header img {
    height: 80%;
}
header a {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    text-decoration: none;
}
main {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 65%;
}
footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 30%;
}
footer a {
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}
footer p {
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.title {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    height: 13%;
    width: 100%;
}

.visio-row {
    height: 87%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.visio-container {
    position: relative;
    z-index: 1;
    height: 100%;
    width: 100%;
    max-width: 46rem;
    min-width: 46rem;
    max-height: 28rem;
    min-height: 28rem;
}

#laptop-img {
    height: 100%;
    width: 100%;
}

.visio-dropzone {
    position: absolute;
    height: 100%;
    max-width: 76.4%;
    max-height: 80.7%;
    top: 7%;
    left: 12%;
}

.circle {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;

    position: absolute;
    height: 47.70%;
    width: 28.49%;
    top: -10%;
    left: 75%;

    z-index: 100;
    border-radius: 50%;
    background-color: #55bbe7;
    border: 0.2rem solid #aaddf3;
}

.circle img {
    padding-top: 7%;
    width: 33%;
}

.copy {
    margin: 1% 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    height: 70%;
    width: 100%;
}

.sign-up {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    height: 30%;
    width: 100%;
}

.ultralight-text {
    font-family: "Avenir";
    font-size: 2.75rem;
    font-weight: 100;
    color: #333333;
    line-height: 2.75rem;
}

.regular-text {
    font-family: "Avenir";
    font-size: 1rem;
    font-weight: 400;
    color: #333333;
    line-height: 1rem;
}

.strong-text {
    font-family: "Avenir";
    font-size: 1.5rem;
    font-weight: 700;
    color: #333333;
    line-height: 1.5rem;
}

.popup-text {
    font-family: "Avenir";
    font-size: 0.875rem;
    font-weight: 500;
    color: #ffffff;
    width: 75%;
    line-height: 0.875rem;
}

.signup-text {
    font-family: "Avenir";
    font-size: 1.375rem;
    font-weight: 500;
    color: #ffffff;
}

.choose-file-text {
    font-family: "Avenir";
    font-size: 1rem;
    font-weight: 500;
    color: #ffffff;
}

.blue-button {
    text-align: center;
    transition: all .15s ease;
    border-radius: 2em;
    background-color: #55bbe7;
}

.blue-button:hover {
    background-color: #6bcff2;
}

.blue-button a {
    text-decoration: none;
    color: #ffffff;
}

.large-button {
  padding: 0.7rem 2rem;
  border: none;
}

.small-button {
  padding: 1.5% 4%;
  border: none;
}

.no-decoration {
    text-decoration: none;
}

#bottom-sign-up-button {
    margin-bottom: 0%;
    padding: 0.2rem 0.9rem;
}

.background-grey {
    background-color: #f2f2f2;
}

.background-orange {
    background-color: #f96b13;
}


/* media queries for high-DPI screens (large height): increase font-size */

@media screen and (min-height: 1200px) {
  html, body {
    font-size: 21px;
  }
}

@media screen and (min-height: 1440px) {
  html, body {
    font-size: 25px;
  }
}

@media screen and (min-height: 1600px) {
  html, body {
    font-size: 28px;
  }
}

@media screen and (min-height: 2000px) {
  html, body {
    font-size: 35px;
  }
}

@media screen and (min-height: 2400px) {
  html, body {
    font-size: 42px;
  }
}

@media screen and (min-height: 2800px) {
  html, body {
    font-size: 50px;
  }
}

/* media queries for mobile (small width): shrink font and remove circle */

@media screen and (max-width: 800px) {
  html, body {
    font-size: 12px;
  }
  /* remove circle for all screens smaller than 800px wide */
  .circle {
    display: none;
  }
}

@media screen and (max-width: 600px) {
  html, body {
    font-size: 10px;
  }
}

@media screen and (max-width: 400px) {
    html, body {
      font-size: 8px;
    }
}

/* media queries for small height (mobile landscape or shrunken in desktop): shrink font */

@media screen and (orientation: landscape) and (max-height: 900px) {
  html, body {
    font-size: 14px;
  }
}

@media screen and (orientation: landscape) and (max-height: 800px) {
  html, body {
    font-size: 13px;
  }
}

@media screen and (orientation: landscape) and (max-height: 700px) {
  html, body {
    font-size: 12px;
  }
}

@media screen and (orientation: landscape) and (max-height: 600px) {
  html, body {
    font-size: 10px;
  }
}

@media screen and (orientation: landscape) and (max-height: 500px) {
  html, body {
    font-size: 8px;
  }
}

@media screen and (orientation: landscape) and (max-height: 400px) {
  html, body {
    font-size: 6px;
  }
}
